Student Guide to Moodle

Browser Requirements

IE logo
Firefox logoWe recommend using a recent version of Firefox or Internet Explorer. While Safari and Chrome may be fine for viewing Moodle resources, we don't recommend using these browsers for submitting assignments or taking tests in Moodle. We also recommend a high speed Internet connection for best performance.

Click on either icon for a free download. Pay attention as you download any software to ensure that you are not installing applications that you don't want at the same time.